diff --git a/code/ryzom/client/src/interface_v3/action_handler_misc.cpp b/code/ryzom/client/src/interface_v3/action_handler_misc.cpp
--- a/code/ryzom/client/src/interface_v3/action_handler_misc.cpp
+++ b/code/ryzom/client/src/interface_v3/action_handler_misc.cpp
@@ -596,7 +596,8 @@
 {

 	CBitmap btm;

 	getBuffer (btm);

-	string filename = CFile::findNewFile ("screenshot.tga");

+	CFile::createDirectory("screenshots");

+	string filename = CFile::findNewFile ("screenshots/screenshot.tga");

 	COFile fs(filename);

 	btm.writeTGA(fs, 24, false);

 	nlinfo("Screenshot '%s' saved in tga format (%dx%d)", filename.c_str(), (int) ClientCfg.ScreenShotWidth, (int) ClientCfg.ScreenShotHeight);

@@ -607,7 +608,8 @@
 {

 	CBitmap btm;

 	getBuffer (btm);

-	string filename = CFile::findNewFile ("screenshot.png");

+	CFile::createDirectory("screenshots");

+	string filename = CFile::findNewFile ("screenshots/screenshot.png");

 	COFile fs(filename);

 	if (!btm.writePNG(fs, 24))

 	{

@@ -626,7 +628,8 @@
 {

 	CBitmap btm;

 	getBuffer (btm);

-	string filename = CFile::findNewFile ("screenshot.jpg");

+	CFile::createDirectory("screenshots");

+	string filename = CFile::findNewFile ("screenshots/screenshot.jpg");

 	COFile fs(filename);

 	btm.writeJPG(fs);

 	nlinfo("Screenshot '%s' saved in jpg format (%dx%d)", filename.c_str(), (int) ClientCfg.ScreenShotWidth, (int) ClientCfg.ScreenShotHeight);

